#
# spec file for package php5-pear-Log
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           php5-pear-Log
%define pear_name  Log
%define pear_sname log
Summary:        A base class for other HTML classes
License:        MIT
Group:          Productivity/Networking/Web/Servers
Version:        1.12.7
Release:        13.3
BuildArch:      noarch
Url:            http://pear.php.net/package/%{pear_name}
Source:         %{pear_name}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  php >= 5
BuildRequires:  php-macros
BuildRequires:  php5-pear
Requires:       php >= 5
Requires:       php5-pear
# optional
#Requires:       php-pear-DB >= 1.3
Suggests:       php5-pear-MDB2 >= 2.0.0RC1
Suggests:       php5-pear-Mail
Provides:       php-pear-%{pear_name} pear-%{pear_name}
# Fix for renaming (package convention)
Provides:       php5-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php5-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
The Log package provides an abstracted logging framework. It includes output
handlers for log files, databases, syslog, email, Firebug, and the console.
It also provides composite and subject-observer logging mechanisms.

%prep
%setup -c

%build

%install
%{__mv} package*.xml %{pear_name}-%{version}
cd %{pear_name}-%{version}
PHP_PEAR_PHP_BIN="$(which php) -d memory_limit=50m"
%{__pear} -v \
        -d doc_dir=/doc \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{php_peardir}/data \
        install --offline --nodeps -R "%{buildroot}" package.xml

%{__install} -D -m 0644 package.xml %{buildroot}%{php_pearxmldir}/%{pear_name}.xml

%{__rm} -rf %{buildroot}/{doc,tmp}
%{__rm} -rf %{buildroot}%{php_peardir}/.{filemap,lock,registry,channels,depdb,depdblock}

cd ..

%php_pear_gen_filelist

%post
# on `rpm -ivh` PARAM is 1
# on `rpm -Uvh` PARAM is 2
if [ "$1" = "1" ]; then
  %{__pear} install --nodeps --soft --force --register-only %{php_pearxmldir}/%{pear_name}.xml
fi
if [ "$1" = "2" ]; then
  %{__pear} upgrade --offline --register-only %{php_pearxmldir}/%{pear_name}.xml
fi

%postun
# on `rpm -e` PARAM is 0
if [ "$1" = "0" ]; then
  %{__pear} uninstall --nodeps --ignore-errors --register-only pear.php.net/%{pear_name}
fi

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-, root, root)
%doc %{pear_name}-%{version}/docs/guide.txt
%doc %{pear_name}-%{version}/examples

%changelog
* Thu Feb 16 2012 robert.munteanu@gmail.com
- version 1.12.7
  - The 'firebug' handler is now usable with Chrome, as well.
    (Request 18617)
  - The 'observer' code now longer generates deprecated return
    value reference notices. (Bug 18830)
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Tue Sep 13 2011 lang@b1-systems.de
- version 1.12.6
- Improved the console handler's stream handling. (Bug 17874)
- Added a 'reopen' configuration parameter to the syslog handler. (Request 18185)
- The backtrace depth is now configurable via setBacktraceDepth(). (Request 18423)
* Thu Jan 20 2011 chris@computersalat.de
- change to php_pear_gen_filelist macro
* Wed Jan 19 2011 chris@computersalat.de
- update to 1.12.5
  - Corrected the "levels" unit test on 32-bit systems. (Bug 18099)
  - Corrected quote handling in Firebug console output. (Bug 18141)
  for more info see ChangeLog
    http://pear.php.net/package/Log/download/All
- add php-macros
- cleanup spec
* Wed Jun 10 2009 chris@computersalat.de
- new version 1.11.5
  * (Bug #16452)
    The class name is now reported correctly when the shortcut
    functions are used.
- cleanup spec
  * removed ^#---
  * removed rel
* Sat May 30 2009 chris@computersalat.de
- fixed deps (removed)
  o because optional
  o Requires php-pear-DB >= 1.3
  o Requires php-pear-MDB2 >= 2.0.0RC1
  o Requires php-pear-Mail
* Sat May 30 2009 chris@computersalat.de
- fixed post script
* Thu May 21 2009 chris@computersalat.de
- added stuff to automatically create correct filelist
  o tested against Factory (1120)
  o opensuse >= 1100 complains about
    "directory not owned by package"
- some rpmlint stuff
* Wed May 20 2009 chris@computersalat.de
- beautify spec
  o new spec header
  o package rename due to package convention
  o removed php4 stuff, deps
  o added Provides and Obsoletes for old package names.
    This should not break deps
